summaryrefslogtreecommitdiff
path: root/repo/m4/m4.xibuild
diff options
context:
space:
mode:
Diffstat (limited to 'repo/m4/m4.xibuild')
-rw-r--r--repo/m4/m4.xibuild22
1 files changed, 22 insertions, 0 deletions
diff --git a/repo/m4/m4.xibuild b/repo/m4/m4.xibuild
new file mode 100644
index 0000000..e6ccf14
--- /dev/null
+++ b/repo/m4/m4.xibuild
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+MAKEDEPS="make help2man"
+DEPS="musl sh"
+
+PKG_VER=1.4.19
+SOURCE=https://ftp.gnu.org/gnu/m4/m4-$PKG_VER.tar.xz
+DESC="The gnu m4 macro processor"
+
+
+build () {
+ ./configure --prefix=/usr
+ make
+}
+
+check () {
+ make check || true
+}
+
+package () {
+ make DESTDIR=$PKG_DEST install
+}